Bug 52514 - start up script do not set the nis domainname
start up script do not set the nis domainname
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ypserv (Show other bugs)
7.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Florian La Roche
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-24 11:37 EDT by Benoit Poulet
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-24 11:38:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benoit Poulet 2001-08-24 11:37:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.2) Gecko/20010725

Description of problem:
the startup script /etc/rc.d/init.d/ypserv do not set the NIS domain like
the /etc/rc.d/init.d/ypbind do.
so , if you don't start ypbind, the ypserv startup script doesn't work !


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.setup your ypserv
2.start ypserv with /etc/rc.d/init.d/ypserv
3.initialize the yp database with /usr/lib/yp/ypinit -m
4.look at the direcrory where yp stores the database, it's set to "(none)"
5. exec "domainname", the output is : "(none)"
	

Actual Results:  the server doesn't listen is the NISDOMAIN who is set in
the /etc/sysconfig/network.

Expected Results:  the domainname command must return the NISDOMAIN set in
the /etc/sysconf/network file.

Additional info:
Comment 1 Florian La Roche 2001-08-27 14:24:48 EDT
Fixed in release 2.

Thanks a lot for this bug-report,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.